#######################################################################################
#@TYPE: Distribution
#@NAME: qti-distro-fullstack-virtualization-debug
#@DESCRIPTION: Qualcomm Technologies, Inc. Full Reference Stack Linux Distribution
# (glibc based) having debugging capabilities with virtualization support.
# Not optimized for performance. Allows root user access.
#
# Supported DISTROOVERRIDES are
#  * qti-distro-base
#  * qti-distro-debug
#  * qti-distro-fullstack-virtualization-debugalization-debug
#
# For same variable override precedence order is
# qti-distro-fullstack-virtualization-debug > qti-distro-debug > qti-distro-base
#######################################################################################

# Honor qti-distro-debug override
DISTROOVERRIDES =. "qti-distro-debug:"

require conf/distro/include/qti-distro-fullstack.inc

DISTRO_NAME = "QTI Linux full reference stack distro with virtualization support and debug capabilities."

# Enable virtualization
DISTRO_FEATURES += "virtualization"

# Set DEBUG_BUILD to use flags from DEBUG_OPTIMIZATION variable
DEBUG_BUILD = "1"

# Bring in debug utilities.
DISTRO_EXTRA_RDEPENDS += "packagegroup-qti-debug-tools"

#enable systemd journal
SYSTEMD_ENABLE_JOURNAL = "1"
